# Uses of Class
serp.bytecode.GetFieldInstruction

Packages that use GetFieldInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of GetFieldInstruction in serp.bytecode

Methods in serp.bytecode that return GetFieldInstruction
Modifier and Type
Method
Description
`GetFieldInstruction`
Code.`getfield()`
Load the value from a field onto the stack; the `getfield` opcode.
`GetFieldInstruction`
Code.`getstatic()`
Load the value from a static field onto the stack; the `getstatic` opcode.

## Uses of GetFieldInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type GetFieldInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterGetFieldInstruction(GetFieldInstruction obj)`
`void`
PrettyPrintVisitor.`enterGetFieldInstruction(GetFieldInstruction obj)`
`void`
BCVisitor.`exitGetFieldInstruction(GetFieldInstruction obj)`